/* This is an autogenerated file from sme__build_signal_h.pl */
/* Tag: noCheckHeader */

/*    CONFIDENTIAL */
/*    Copyright (C) Cambridge Silicon Radio Ltd 2008. All rights reserved. */

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __SYS_BUILD_FUNCTIONS_H__
#define __SYS_BUILD_FUNCTIONS_H__

#include "fsm/fsm.h" 
#include "hostio/hip_fsm_types.h"
#include "smeio/smeio_fsm_types.h"
#include "smeio/smeio_fsm_events.h"

extern uint16 build_packed_unifi_sys_wifi_on_ind(uint8** resultBuffer, unifi_Status status, const unifi_Versions* versions);
extern uint16 build_packed_unifi_sys_wifi_on_cfm(uint8** resultBuffer, unifi_Status status);
extern uint16 build_packed_unifi_sys_wifi_off_ind(uint8** resultBuffer, unifi_ControlIndication controlIndication);
extern uint16 build_packed_unifi_sys_wifi_off_cfm(uint8** resultBuffer);
extern uint16 build_packed_unifi_sys_suspend_ind(uint8** resultBuffer, Boolean hardSuspend, Boolean d3Suspend);
extern uint16 build_packed_unifi_sys_resume_ind(uint8** resultBuffer, Boolean resumePowerMaintained);
extern uint16 build_packed_unifi_sys_hip_ind(uint8** resultBuffer, const unifi_DataBlock* mlmeCommand, const unifi_DataBlock* dataRef1, const unifi_DataBlock* dataRef2);
extern uint16 build_packed_unifi_sys_qos_control_cfm(uint8** resultBuffer, unifi_Status status);
extern uint16 build_packed_unifi_sys_port_configure_cfm(uint8** resultBuffer, unifi_Status status, const unifi_MACAddress* macAddress);
extern uint16 build_packed_unifi_sys_traffic_sample_ind(uint8** resultBuffer, const unifi_traffic_stats* stats);
extern uint16 build_packed_unifi_sys_traffic_protocol_ind(uint8** resultBuffer, unifi_traffic_packettype packetType, unifi_protocol_direction direction, const unifi_MACAddress* srcAddress);
extern uint16 build_packed_unifi_sys_ip_configured_ind(uint8** resultBuffer, Boolean ipConfigured);
extern uint16 build_packed_unifi_sys_multicast_address_ind(uint8** resultBuffer, unifi_ListAction action, const unifi_MulticastAddressList* setAddresses);
extern uint16 build_packed_unifi_sys_tclas_add_cfm(uint8** resultBuffer, unifi_Status status);
extern uint16 build_packed_unifi_sys_tclas_del_cfm(uint8** resultBuffer, unifi_Status status);


#endif /* __SYS_BUILD_FUNCTIONS_H__ */

#ifdef __cplusplus
}
#endif
